sampleproc(1m)

NAME
sampleproc - sample processes on the CPUs. Uses DTrace.

SYNOPSIS
sampleproc [hertz]

DESCRIPTION
This program samples which process is on each CPU, at a particular configurable rate. This can be used as an estimate for which process is consuming the most CPU time. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
unstable - uses the ncpus_online kernel symbol.

EXAMPLES

Sample at 100 hertz,
    # sampleproc

Sample at 400 hertz,
    # sampleproc 400

FIELDS

PID process ID

COMMAND
    command name

COUNT
    number of samples

PERCENT
    percent of CPU usage

BASED ON
/usr/demo/dtrace/prof.d

DOCUMENTATION
DTrace Guide "profile Provider" chapter (docs.sun.com) See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
sampleproc will sample until Ctrl-C is hit.

SEE ALSO
dtrace(1M)